Bug 1008845 (CVE-2016-9189)

Summary: VUL-0: CVE-2016-9189: python-pillow: Integer overflows leading to memory disclosure in PyImaging_MapBuffer (Map.c)
Product: [Novell Products] SUSE Security Incidents Reporter: Sebastian Krahmer <krahmer>
Component: IncidentsAssignee: Security Team bot <security-team>
Status: RESOLVED FIXED QA Contact: Security Team bot <security-team>
Severity: Normal    
Priority: P3 - Medium CC: atoptsoglou, bstephenson, security-team, smash_bz
Version: unspecified   
Target Milestone: ---   
Hardware: Other   
OS: Other   
URL: https://smash.suse.de/issue/174541/
Whiteboard: CVSSv2:NVD:CVE-2016-9189:4.3:(AV:N/AC:M/Au:N/C:P/I:N/A:N) CVSSv2:SUSE:CVE-2016-9189:4.3:(AV:N/AC:M/Au:N/C:P/I:N/A:N) CVSSv3:RedHat:CVE-2016-9189:6.5:(AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:L) CVSSv3:NVD:CVE-2016-9189:5.5:(AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:N/A:N) CVSSv2:RedHat:CVE-2016-9189:4.3:(AV:N/AC:M/Au:N/C:N/I:N/A:P)
Found By: Security Response Team Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Sebastian Krahmer 2016-11-07 10:33:07 UTC
rh#1382000

Pillow before 3.3.2 allows context-dependent attackers to obtain sensitive
information by using the "crafted image file" approach, related to an "Integer
Overflow" issue affecting the Image.core.map_buffer in map.c component.

References:
https://bugzilla.redhat.com/show_bug.cgi?id=1382000
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2016-9189
http://people.canonical.com/~ubuntu-security/cve/2016/CVE-2016-9189.html
http://www.cvedetails.com/cve/CVE-2016-9189/
https://github.com/python-pillow/Pillow/issues/2105
http://pillow.readthedocs.io/en/3.4.x/releasenotes/3.3.2.html
https://github.com/python-pillow/Pillow/pull/2146/commits/c50ebe6459a131a1ea8ca531f10da616d3ceaa0f
Comment 1 Swamp Workflow Management 2016-11-07 23:02:24 UTC
bugbot adjusting priority
Comment 5 Bryan Stephenson 2019-05-17 21:39:38 UTC
Submissions sent to Cloud 7 and SES 5.
Comment 7 Swamp Workflow Management 2019-05-23 16:09:36 UTC
SUSE-SU-2019:1321-1: An update that fixes three vulnerabilities is now available.

Category: security (important)
Bug References: 1008845,1008846,973786
CVE References: CVE-2016-3076,CVE-2016-9189,CVE-2016-9190
Sources used:
SUSE Enterprise Storage 5 (src):    python-Pillow-2.8.1-3.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 8 Swamp Workflow Management 2019-07-08 22:12:44 UTC
SUSE-SU-2019:1772-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1008845
CVE References: CVE-2016-9189
Sources used:
SUSE OpenStack Cloud 7 (src):    python-Pillow-2.8.1-4.6.1
SUSE Enterprise Storage 4 (src):    python-Pillow-2.8.1-4.6.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 9 Alexandros Toptsoglou 2020-04-30 15:12:38 UTC
Done